<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMRDOznaka ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfMRDOznaka
 * @subpackage Arrays
 */
class ArrayOfMRDOznaka extends AbstractStructArrayBase
{
    /**
     * The MRDOznaka
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\MRDOznaka[]
     */
    public $MRDOznaka;
    /**
     * Constructor method for ArrayOfMRDOznaka
     * @uses ArrayOfMRDOznaka::setMRDOznaka()
     * @param \StructType\MRDOznaka[] $mRDOznaka
     */
    public function __construct(array $mRDOznaka = array())
    {
        $this
            ->setMRDOznaka($mRDOznaka);
    }
    /**
     * Get MRDOznaka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\MRDOznaka[]|null
     */
    public function getMRDOznaka()
    {
        return isset($this->MRDOznaka) ? $this->MRDOznaka : null;
    }
    /**
     * Set MRDOznaka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\MRDOznaka[] $mRDOznaka
     * @return \ArrayType\ArrayOfMRDOznaka
     */
    public function setMRDOznaka(array $mRDOznaka = array())
    {
        foreach ($mRDOznaka as $arrayOfMRDOznakaMRDOznakaItem) {
            // validation for constraint: itemType
            if (!$arrayOfMRDOznakaMRDOznakaItem instanceof \StructType\MRDOznaka) {
                throw new \InvalidArgumentException(sprintf('The MRDOznaka property can only contain items of \StructType\MRDOznaka, "%s" given', is_object($arrayOfMRDOznakaMRDOznakaItem) ? get_class($arrayOfMRDOznakaMRDOznakaItem) : gettype($arrayOfMRDOznakaMRDOznakaItem)), __LINE__);
            }
        }
        if (is_null($mRDOznaka) || (is_array($mRDOznaka) && empty($mRDOznaka))) {
            unset($this->MRDOznaka);
        } else {
            $this->MRDOznaka = $mRDOznaka;
        }
        return $this;
    }
    /**
     * Add item to MRDOznaka value
     * @throws \InvalidArgumentException
     * @param \StructType\MRDOznaka $item
     * @return \ArrayType\ArrayOfMRDOznaka
     */
    public function addToMRDOznaka(\StructType\MRDOznaka $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\MRDOznaka) {
            throw new \InvalidArgumentException(sprintf('The MRDOznaka property can only contain items of \StructType\MRDOznaka, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->MRDOznaka[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\MRDOznaka|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\MRDOznaka|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\MRDOznaka|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\MRDOznaka|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\MRDOznaka|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MRDOznaka
     */
    public function getAttributeName()
    {
        return 'MRDOznaka';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfMRDOznaka
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
