<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfNacinPrijevoza ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfNacinPrijevoza
 * @subpackage Arrays
 */
class ArrayOfNacinPrijevoza extends AbstractStructArrayBase
{
    /**
     * The NacinPrijevoza
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\NacinPrijevoza[]
     */
    public $NacinPrijevoza;
    /**
     * Constructor method for ArrayOfNacinPrijevoza
     * @uses ArrayOfNacinPrijevoza::setNacinPrijevoza()
     * @param \StructType\NacinPrijevoza[] $nacinPrijevoza
     */
    public function __construct(array $nacinPrijevoza = array())
    {
        $this
            ->setNacinPrijevoza($nacinPrijevoza);
    }
    /**
     * Get NacinPrijevoza value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\NacinPrijevoza[]|null
     */
    public function getNacinPrijevoza()
    {
        return isset($this->NacinPrijevoza) ? $this->NacinPrijevoza : null;
    }
    /**
     * Set NacinPrijevoza value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\NacinPrijevoza[] $nacinPrijevoza
     * @return \ArrayType\ArrayOfNacinPrijevoza
     */
    public function setNacinPrijevoza(array $nacinPrijevoza = array())
    {
        foreach ($nacinPrijevoza as $arrayOfNacinPrijevozaNacinPrijevozaItem) {
            // validation for constraint: itemType
            if (!$arrayOfNacinPrijevozaNacinPrijevozaItem instanceof \StructType\NacinPrijevoza) {
                throw new \InvalidArgumentException(sprintf('The NacinPrijevoza property can only contain items of \StructType\NacinPrijevoza, "%s" given', is_object($arrayOfNacinPrijevozaNacinPrijevozaItem) ? get_class($arrayOfNacinPrijevozaNacinPrijevozaItem) : gettype($arrayOfNacinPrijevozaNacinPrijevozaItem)), __LINE__);
            }
        }
        if (is_null($nacinPrijevoza) || (is_array($nacinPrijevoza) && empty($nacinPrijevoza))) {
            unset($this->NacinPrijevoza);
        } else {
            $this->NacinPrijevoza = $nacinPrijevoza;
        }
        return $this;
    }
    /**
     * Add item to NacinPrijevoza value
     * @throws \InvalidArgumentException
     * @param \StructType\NacinPrijevoza $item
     * @return \ArrayType\ArrayOfNacinPrijevoza
     */
    public function addToNacinPrijevoza(\StructType\NacinPrijevoza $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\NacinPrijevoza) {
            throw new \InvalidArgumentException(sprintf('The NacinPrijevoza property can only contain items of \StructType\NacinPrijevoza, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->NacinPrijevoza[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\NacinPrijevoza|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\NacinPrijevoza|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\NacinPrijevoza|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\NacinPrijevoza|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\NacinPrijevoza|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string NacinPrijevoza
     */
    public function getAttributeName()
    {
        return 'NacinPrijevoza';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfNacinPrijevoza
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
