<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOntoStatus ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfOntoStatus
 * @subpackage Arrays
 */
class ArrayOfOntoStatus extends AbstractStructArrayBase
{
    /**
     * The OntoStatus
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OntoStatus[]
     */
    public $OntoStatus;
    /**
     * Constructor method for ArrayOfOntoStatus
     * @uses ArrayOfOntoStatus::setOntoStatus()
     * @param \StructType\OntoStatus[] $ontoStatus
     */
    public function __construct(array $ontoStatus = array())
    {
        $this
            ->setOntoStatus($ontoStatus);
    }
    /**
     * Get OntoStatus value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OntoStatus[]|null
     */
    public function getOntoStatus()
    {
        return isset($this->OntoStatus) ? $this->OntoStatus : null;
    }
    /**
     * Set OntoStatus value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OntoStatus[] $ontoStatus
     * @return \ArrayType\ArrayOfOntoStatus
     */
    public function setOntoStatus(array $ontoStatus = array())
    {
        foreach ($ontoStatus as $arrayOfOntoStatusOntoStatusItem) {
            // validation for constraint: itemType
            if (!$arrayOfOntoStatusOntoStatusItem instanceof \StructType\OntoStatus) {
                throw new \InvalidArgumentException(sprintf('The OntoStatus property can only contain items of \StructType\OntoStatus, "%s" given', is_object($arrayOfOntoStatusOntoStatusItem) ? get_class($arrayOfOntoStatusOntoStatusItem) : gettype($arrayOfOntoStatusOntoStatusItem)), __LINE__);
            }
        }
        if (is_null($ontoStatus) || (is_array($ontoStatus) && empty($ontoStatus))) {
            unset($this->OntoStatus);
        } else {
            $this->OntoStatus = $ontoStatus;
        }
        return $this;
    }
    /**
     * Add item to OntoStatus value
     * @throws \InvalidArgumentException
     * @param \StructType\OntoStatus $item
     * @return \ArrayType\ArrayOfOntoStatus
     */
    public function addToOntoStatus(\StructType\OntoStatus $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OntoStatus) {
            throw new \InvalidArgumentException(sprintf('The OntoStatus property can only contain items of \StructType\OntoStatus, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->OntoStatus[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OntoStatus|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OntoStatus|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OntoStatus|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OntoStatus|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OntoStatus|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OntoStatus
     */
    public function getAttributeName()
    {
        return 'OntoStatus';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfOntoStatus
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
