<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTipOtpada ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTipOtpada
 * @subpackage Arrays
 */
class ArrayOfTipOtpada extends AbstractStructArrayBase
{
    /**
     * The TipOtpada
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TipOtpada[]
     */
    public $TipOtpada;
    /**
     * Constructor method for ArrayOfTipOtpada
     * @uses ArrayOfTipOtpada::setTipOtpada()
     * @param \StructType\TipOtpada[] $tipOtpada
     */
    public function __construct(array $tipOtpada = array())
    {
        $this
            ->setTipOtpada($tipOtpada);
    }
    /**
     * Get TipOtpada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TipOtpada[]|null
     */
    public function getTipOtpada()
    {
        return isset($this->TipOtpada) ? $this->TipOtpada : null;
    }
    /**
     * Set TipOtpada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TipOtpada[] $tipOtpada
     * @return \ArrayType\ArrayOfTipOtpada
     */
    public function setTipOtpada(array $tipOtpada = array())
    {
        foreach ($tipOtpada as $arrayOfTipOtpadaTipOtpadaItem) {
            // validation for constraint: itemType
            if (!$arrayOfTipOtpadaTipOtpadaItem instanceof \StructType\TipOtpada) {
                throw new \InvalidArgumentException(sprintf('The TipOtpada property can only contain items of \StructType\TipOtpada, "%s" given', is_object($arrayOfTipOtpadaTipOtpadaItem) ? get_class($arrayOfTipOtpadaTipOtpadaItem) : gettype($arrayOfTipOtpadaTipOtpadaItem)), __LINE__);
            }
        }
        if (is_null($tipOtpada) || (is_array($tipOtpada) && empty($tipOtpada))) {
            unset($this->TipOtpada);
        } else {
            $this->TipOtpada = $tipOtpada;
        }
        return $this;
    }
    /**
     * Add item to TipOtpada value
     * @throws \InvalidArgumentException
     * @param \StructType\TipOtpada $item
     * @return \ArrayType\ArrayOfTipOtpada
     */
    public function addToTipOtpada(\StructType\TipOtpada $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TipOtpada) {
            throw new \InvalidArgumentException(sprintf('The TipOtpada property can only contain items of \StructType\TipOtpada, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->TipOtpada[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TipOtpada|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TipOtpada|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TipOtpada|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TipOtpada|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TipOtpada|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TipOtpada
     */
    public function getAttributeName()
    {
        return 'TipOtpada';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfTipOtpada
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
