<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfVrstaOntoObveznika ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfVrstaOntoObveznika
 * @subpackage Arrays
 */
class ArrayOfVrstaOntoObveznika extends AbstractStructArrayBase
{
    /**
     * The VrstaOntoObveznika
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\VrstaOntoObveznika[]
     */
    public $VrstaOntoObveznika;
    /**
     * Constructor method for ArrayOfVrstaOntoObveznika
     * @uses ArrayOfVrstaOntoObveznika::setVrstaOntoObveznika()
     * @param \StructType\VrstaOntoObveznika[] $vrstaOntoObveznika
     */
    public function __construct(array $vrstaOntoObveznika = array())
    {
        $this
            ->setVrstaOntoObveznika($vrstaOntoObveznika);
    }
    /**
     * Get VrstaOntoObveznika value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\VrstaOntoObveznika[]|null
     */
    public function getVrstaOntoObveznika()
    {
        return isset($this->VrstaOntoObveznika) ? $this->VrstaOntoObveznika : null;
    }
    /**
     * Set VrstaOntoObveznika value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\VrstaOntoObveznika[] $vrstaOntoObveznika
     * @return \ArrayType\ArrayOfVrstaOntoObveznika
     */
    public function setVrstaOntoObveznika(array $vrstaOntoObveznika = array())
    {
        foreach ($vrstaOntoObveznika as $arrayOfVrstaOntoObveznikaVrstaOntoObveznikaItem) {
            // validation for constraint: itemType
            if (!$arrayOfVrstaOntoObveznikaVrstaOntoObveznikaItem instanceof \StructType\VrstaOntoObveznika) {
                throw new \InvalidArgumentException(sprintf('The VrstaOntoObveznika property can only contain items of \StructType\VrstaOntoObveznika, "%s" given', is_object($arrayOfVrstaOntoObveznikaVrstaOntoObveznikaItem) ? get_class($arrayOfVrstaOntoObveznikaVrstaOntoObveznikaItem) : gettype($arrayOfVrstaOntoObveznikaVrstaOntoObveznikaItem)), __LINE__);
            }
        }
        if (is_null($vrstaOntoObveznika) || (is_array($vrstaOntoObveznika) && empty($vrstaOntoObveznika))) {
            unset($this->VrstaOntoObveznika);
        } else {
            $this->VrstaOntoObveznika = $vrstaOntoObveznika;
        }
        return $this;
    }
    /**
     * Add item to VrstaOntoObveznika value
     * @throws \InvalidArgumentException
     * @param \StructType\VrstaOntoObveznika $item
     * @return \ArrayType\ArrayOfVrstaOntoObveznika
     */
    public function addToVrstaOntoObveznika(\StructType\VrstaOntoObveznika $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\VrstaOntoObveznika) {
            throw new \InvalidArgumentException(sprintf('The VrstaOntoObveznika property can only contain items of \StructType\VrstaOntoObveznika, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->VrstaOntoObveznika[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\VrstaOntoObveznika|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\VrstaOntoObveznika|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\VrstaOntoObveznika|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\VrstaOntoObveznika|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\VrstaOntoObveznika|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string VrstaOntoObveznika
     */
    public function getAttributeName()
    {
        return 'VrstaOntoObveznika';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfVrstaOntoObveznika
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
