<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Insert ServiceType
 * @subpackage Services
 */
class Insert extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named InsertPLO
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLO $parameters
     * @return \StructType\InsertPLOResponse|bool
     */
    public function InsertPLO(\StructType\InsertPLO $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLO($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOPredavateljNemaOnto
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOPredavateljNemaOnto $parameters
     * @return \StructType\InsertPLOPredavateljNemaOntoResponse|bool
     */
    public function InsertPLOPredavateljNemaOnto(\StructType\InsertPLOPredavateljNemaOnto $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOPredavateljNemaOnto($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOPreuzimateljNemaOnto
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOPreuzimateljNemaOnto $parameters
     * @return \StructType\InsertPLOPreuzimateljNemaOntoResponse|bool
     */
    public function InsertPLOPreuzimateljNemaOnto(\StructType\InsertPLOPreuzimateljNemaOnto $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOPreuzimateljNemaOnto($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOMUTMM
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOMUTMM $parameters
     * @return \StructType\InsertPLOMUTMMResponse|bool
     */
    public function InsertPLOMUTMM(\StructType\InsertPLOMUTMM $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOMUTMM($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOMTMM
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOMTMM $parameters
     * @return \StructType\InsertPLOMTMMResponse|bool
     */
    public function InsertPLOMTMM(\StructType\InsertPLOMTMM $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOMTMM($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOMSMM
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOMSMM $parameters
     * @return \StructType\InsertPLOMSMMResponse|bool
     */
    public function InsertPLOMSMM(\StructType\InsertPLOMSMM $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOMSMM($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertPLOInterniPL
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertPLOInterniPL $parameters
     * @return \StructType\InsertPLOInterniPLResponse|bool
     */
    public function InsertPLOInterniPL(\StructType\InsertPLOInterniPL $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertPLOInterniPL($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertTijekOtpada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertTijekOtpada $parameters
     * @return \StructType\InsertTijekOtpadaResponse|bool
     */
    public function InsertTijekOtpada(\StructType\InsertTijekOtpada $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertTijekOtpada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InsertTijekOtpadaP
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\InsertTijekOtpadaP $parameters
     * @return \StructType\InsertTijekOtpadaPResponse|bool
     */
    public function InsertTijekOtpadaP(\StructType\InsertTijekOtpadaP $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->InsertTijekOtpadaP($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\InsertPLOInterniPLResponse|\StructType\InsertPLOMSMMResponse|\StructType\InsertPLOMTMMResponse|\StructType\InsertPLOMUTMMResponse|\StructType\InsertPLOPredavateljNemaOntoResponse|\StructType\InsertPLOPreuzimateljNemaOntoResponse|\StructType\InsertPLOResponse|\StructType\InsertTijekOtpadaPResponse|\StructType\InsertTijekOtpadaResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
