<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Povrat ServiceType
 * @subpackage Services
 */
class Povrat extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named PovratOtpadaPLO
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\PovratOtpadaPLO $parameters
     * @return \StructType\PovratOtpadaPLOResponse|bool
     */
    public function PovratOtpadaPLO(\StructType\PovratOtpadaPLO $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->PovratOtpadaPLO($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\PovratOtpadaPLOResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
