<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BrojPorukaResponse StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:BrojPorukaResponse
 * @subpackage Structs
 */
class BrojPorukaResponse extends BaseResponseDTO
{
    /**
     * The BrojNeprocitanihPoruka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $BrojNeprocitanihPoruka;
    /**
     * The UkupanBrojPoruka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UkupanBrojPoruka;
    /**
     * Constructor method for BrojPorukaResponse
     * @uses BrojPorukaResponse::setBrojNeprocitanihPoruka()
     * @uses BrojPorukaResponse::setUkupanBrojPoruka()
     * @param int $brojNeprocitanihPoruka
     * @param int $ukupanBrojPoruka
     */
    public function __construct($brojNeprocitanihPoruka = null, $ukupanBrojPoruka = null)
    {
        $this
            ->setBrojNeprocitanihPoruka($brojNeprocitanihPoruka)
            ->setUkupanBrojPoruka($ukupanBrojPoruka);
    }
    /**
     * Get BrojNeprocitanihPoruka value
     * @return int|null
     */
    public function getBrojNeprocitanihPoruka()
    {
        return $this->BrojNeprocitanihPoruka;
    }
    /**
     * Set BrojNeprocitanihPoruka value
     * @param int $brojNeprocitanihPoruka
     * @return \StructType\BrojPorukaResponse
     */
    public function setBrojNeprocitanihPoruka($brojNeprocitanihPoruka = null)
    {
        // validation for constraint: int
        if (!is_null($brojNeprocitanihPoruka) && !is_numeric($brojNeprocitanihPoruka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($brojNeprocitanihPoruka)), __LINE__);
        }
        $this->BrojNeprocitanihPoruka = $brojNeprocitanihPoruka;
        return $this;
    }
    /**
     * Get UkupanBrojPoruka value
     * @return int|null
     */
    public function getUkupanBrojPoruka()
    {
        return $this->UkupanBrojPoruka;
    }
    /**
     * Set UkupanBrojPoruka value
     * @param int $ukupanBrojPoruka
     * @return \StructType\BrojPorukaResponse
     */
    public function setUkupanBrojPoruka($ukupanBrojPoruka = null)
    {
        // validation for constraint: int
        if (!is_null($ukupanBrojPoruka) && !is_numeric($ukupanBrojPoruka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($ukupanBrojPoruka)), __LINE__);
        }
        $this->UkupanBrojPoruka = $ukupanBrojPoruka;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BrojPorukaResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
