<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPorukeZaKorisnika StructType
 * @subpackage Structs
 */
class GetPorukeZaKorisnika extends AbstractStructBase
{
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $username;
    /**
     * The securityToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $securityToken;
    /**
     * The brojDanaUnatrag
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $brojDanaUnatrag;
    /**
     * Constructor method for GetPorukeZaKorisnika
     * @uses GetPorukeZaKorisnika::setUsername()
     * @uses GetPorukeZaKorisnika::setSecurityToken()
     * @uses GetPorukeZaKorisnika::setBrojDanaUnatrag()
     * @param string $username
     * @param string $securityToken
     * @param int $brojDanaUnatrag
     */
    public function __construct($username = null, $securityToken = null, $brojDanaUnatrag = null)
    {
        $this
            ->setUsername($username)
            ->setSecurityToken($securityToken)
            ->setBrojDanaUnatrag($brojDanaUnatrag);
    }
    /**
     * Get username value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsername()
    {
        return isset($this->username) ? $this->username : null;
    }
    /**
     * Set username value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $username
     * @return \StructType\GetPorukeZaKorisnika
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        if (is_null($username) || (is_array($username) && empty($username))) {
            unset($this->username);
        } else {
            $this->username = $username;
        }
        return $this;
    }
    /**
     * Get securityToken value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSecurityToken()
    {
        return isset($this->securityToken) ? $this->securityToken : null;
    }
    /**
     * Set securityToken value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $securityToken
     * @return \StructType\GetPorukeZaKorisnika
     */
    public function setSecurityToken($securityToken = null)
    {
        // validation for constraint: string
        if (!is_null($securityToken) && !is_string($securityToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($securityToken)), __LINE__);
        }
        if (is_null($securityToken) || (is_array($securityToken) && empty($securityToken))) {
            unset($this->securityToken);
        } else {
            $this->securityToken = $securityToken;
        }
        return $this;
    }
    /**
     * Get brojDanaUnatrag value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getBrojDanaUnatrag()
    {
        return isset($this->brojDanaUnatrag) ? $this->brojDanaUnatrag : null;
    }
    /**
     * Set brojDanaUnatrag value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $brojDanaUnatrag
     * @return \StructType\GetPorukeZaKorisnika
     */
    public function setBrojDanaUnatrag($brojDanaUnatrag = null)
    {
        // validation for constraint: int
        if (!is_null($brojDanaUnatrag) && !is_numeric($brojDanaUnatrag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($brojDanaUnatrag)), __LINE__);
        }
        if (is_null($brojDanaUnatrag) || (is_array($brojDanaUnatrag) && empty($brojDanaUnatrag))) {
            unset($this->brojDanaUnatrag);
        } else {
            $this->brojDanaUnatrag = $brojDanaUnatrag;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetPorukeZaKorisnika
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
