<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetTijekOtpadaPCollection StructType
 * @subpackage Structs
 */
class GetTijekOtpadaPCollection extends AbstractStructBase
{
    /**
     * The tijekOtpadaPIDList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfint
     */
    public $tijekOtpadaPIDList;
    /**
     * The ontoId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ontoId;
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $username;
    /**
     * The securityToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $securityToken;
    /**
     * Constructor method for GetTijekOtpadaPCollection
     * @uses GetTijekOtpadaPCollection::setTijekOtpadaPIDList()
     * @uses GetTijekOtpadaPCollection::setOntoId()
     * @uses GetTijekOtpadaPCollection::setUsername()
     * @uses GetTijekOtpadaPCollection::setSecurityToken()
     * @param \ArrayType\ArrayOfint $tijekOtpadaPIDList
     * @param int $ontoId
     * @param string $username
     * @param string $securityToken
     */
    public function __construct(\ArrayType\ArrayOfint $tijekOtpadaPIDList = null, $ontoId = null, $username = null, $securityToken = null)
    {
        $this
            ->setTijekOtpadaPIDList($tijekOtpadaPIDList)
            ->setOntoId($ontoId)
            ->setUsername($username)
            ->setSecurityToken($securityToken);
    }
    /**
     * Get tijekOtpadaPIDList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfint|null
     */
    public function getTijekOtpadaPIDList()
    {
        return isset($this->tijekOtpadaPIDList) ? $this->tijekOtpadaPIDList : null;
    }
    /**
     * Set tijekOtpadaPIDList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfint $tijekOtpadaPIDList
     * @return \StructType\GetTijekOtpadaPCollection
     */
    public function setTijekOtpadaPIDList(\ArrayType\ArrayOfint $tijekOtpadaPIDList = null)
    {
        if (is_null($tijekOtpadaPIDList) || (is_array($tijekOtpadaPIDList) && empty($tijekOtpadaPIDList))) {
            unset($this->tijekOtpadaPIDList);
        } else {
            $this->tijekOtpadaPIDList = $tijekOtpadaPIDList;
        }
        return $this;
    }
    /**
     * Get ontoId value
     * @return int|null
     */
    public function getOntoId()
    {
        return $this->ontoId;
    }
    /**
     * Set ontoId value
     * @param int $ontoId
     * @return \StructType\GetTijekOtpadaPCollection
     */
    public function setOntoId($ontoId = null)
    {
        // validation for constraint: int
        if (!is_null($ontoId) && !is_numeric($ontoId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($ontoId)), __LINE__);
        }
        $this->ontoId = $ontoId;
        return $this;
    }
    /**
     * Get username value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsername()
    {
        return isset($this->username) ? $this->username : null;
    }
    /**
     * Set username value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $username
     * @return \StructType\GetTijekOtpadaPCollection
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        if (is_null($username) || (is_array($username) && empty($username))) {
            unset($this->username);
        } else {
            $this->username = $username;
        }
        return $this;
    }
    /**
     * Get securityToken value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSecurityToken()
    {
        return isset($this->securityToken) ? $this->securityToken : null;
    }
    /**
     * Set securityToken value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $securityToken
     * @return \StructType\GetTijekOtpadaPCollection
     */
    public function setSecurityToken($securityToken = null)
    {
        // validation for constraint: string
        if (!is_null($securityToken) && !is_string($securityToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($securityToken)), __LINE__);
        }
        if (is_null($securityToken) || (is_array($securityToken) && empty($securityToken))) {
            unset($this->securityToken);
        } else {
            $this->securityToken = $securityToken;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetTijekOtpadaPCollection
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
