<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KreirajOnto StructType
 * @subpackage Structs
 */
class KreirajOnto extends AbstractStructBase
{
    /**
     * The ontoKreiranjeInput
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OntoKreiranjeInput
     */
    public $ontoKreiranjeInput;
    /**
     * The lokacijaID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $lokacijaID;
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $username;
    /**
     * The securityToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $securityToken;
    /**
     * Constructor method for KreirajOnto
     * @uses KreirajOnto::setOntoKreiranjeInput()
     * @uses KreirajOnto::setLokacijaID()
     * @uses KreirajOnto::setUsername()
     * @uses KreirajOnto::setSecurityToken()
     * @param \StructType\OntoKreiranjeInput $ontoKreiranjeInput
     * @param int $lokacijaID
     * @param string $username
     * @param string $securityToken
     */
    public function __construct(\StructType\OntoKreiranjeInput $ontoKreiranjeInput = null, $lokacijaID = null, $username = null, $securityToken = null)
    {
        $this
            ->setOntoKreiranjeInput($ontoKreiranjeInput)
            ->setLokacijaID($lokacijaID)
            ->setUsername($username)
            ->setSecurityToken($securityToken);
    }
    /**
     * Get ontoKreiranjeInput value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OntoKreiranjeInput|null
     */
    public function getOntoKreiranjeInput()
    {
        return isset($this->ontoKreiranjeInput) ? $this->ontoKreiranjeInput : null;
    }
    /**
     * Set ontoKreiranjeInput value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\OntoKreiranjeInput $ontoKreiranjeInput
     * @return \StructType\KreirajOnto
     */
    public function setOntoKreiranjeInput(\StructType\OntoKreiranjeInput $ontoKreiranjeInput = null)
    {
        if (is_null($ontoKreiranjeInput) || (is_array($ontoKreiranjeInput) && empty($ontoKreiranjeInput))) {
            unset($this->ontoKreiranjeInput);
        } else {
            $this->ontoKreiranjeInput = $ontoKreiranjeInput;
        }
        return $this;
    }
    /**
     * Get lokacijaID value
     * @return int|null
     */
    public function getLokacijaID()
    {
        return $this->lokacijaID;
    }
    /**
     * Set lokacijaID value
     * @param int $lokacijaID
     * @return \StructType\KreirajOnto
     */
    public function setLokacijaID($lokacijaID = null)
    {
        // validation for constraint: int
        if (!is_null($lokacijaID) && !is_numeric($lokacijaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($lokacijaID)), __LINE__);
        }
        $this->lokacijaID = $lokacijaID;
        return $this;
    }
    /**
     * Get username value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsername()
    {
        return isset($this->username) ? $this->username : null;
    }
    /**
     * Set username value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $username
     * @return \StructType\KreirajOnto
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        if (is_null($username) || (is_array($username) && empty($username))) {
            unset($this->username);
        } else {
            $this->username = $username;
        }
        return $this;
    }
    /**
     * Get securityToken value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSecurityToken()
    {
        return isset($this->securityToken) ? $this->securityToken : null;
    }
    /**
     * Set securityToken value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $securityToken
     * @return \StructType\KreirajOnto
     */
    public function setSecurityToken($securityToken = null)
    {
        // validation for constraint: string
        if (!is_null($securityToken) && !is_string($securityToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($securityToken)), __LINE__);
        }
        if (is_null($securityToken) || (is_array($securityToken) && empty($securityToken))) {
            unset($this->securityToken);
        } else {
            $this->securityToken = $securityToken;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KreirajOnto
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
