<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OntoKreiranjeInput StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:OntoKreiranjeInput
 * @subpackage Structs
 */
class OntoKreiranjeInput extends AbstractStructBase
{
    /**
     * The KljucniBrojOtpadaID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KljucniBrojOtpadaID;
    /**
     * The OdgovornaOsoba
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OdgovornaOsoba;
    /**
     * The VrijediDo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $VrijediDo;
    /**
     * The VrijediOd
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $VrijediOd;
    /**
     * Constructor method for OntoKreiranjeInput
     * @uses OntoKreiranjeInput::setKljucniBrojOtpadaID()
     * @uses OntoKreiranjeInput::setOdgovornaOsoba()
     * @uses OntoKreiranjeInput::setVrijediDo()
     * @uses OntoKreiranjeInput::setVrijediOd()
     * @param int $kljucniBrojOtpadaID
     * @param string $odgovornaOsoba
     * @param string $vrijediDo
     * @param string $vrijediOd
     */
    public function __construct($kljucniBrojOtpadaID = null, $odgovornaOsoba = null, $vrijediDo = null, $vrijediOd = null)
    {
        $this
            ->setKljucniBrojOtpadaID($kljucniBrojOtpadaID)
            ->setOdgovornaOsoba($odgovornaOsoba)
            ->setVrijediDo($vrijediDo)
            ->setVrijediOd($vrijediOd);
    }
    /**
     * Get KljucniBrojOtpadaID value
     * @return int|null
     */
    public function getKljucniBrojOtpadaID()
    {
        return $this->KljucniBrojOtpadaID;
    }
    /**
     * Set KljucniBrojOtpadaID value
     * @param int $kljucniBrojOtpadaID
     * @return \StructType\OntoKreiranjeInput
     */
    public function setKljucniBrojOtpadaID($kljucniBrojOtpadaID = null)
    {
        // validation for constraint: int
        if (!is_null($kljucniBrojOtpadaID) && !is_numeric($kljucniBrojOtpadaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($kljucniBrojOtpadaID)), __LINE__);
        }
        $this->KljucniBrojOtpadaID = $kljucniBrojOtpadaID;
        return $this;
    }
    /**
     * Get OdgovornaOsoba value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOdgovornaOsoba()
    {
        return isset($this->OdgovornaOsoba) ? $this->OdgovornaOsoba : null;
    }
    /**
     * Set OdgovornaOsoba value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $odgovornaOsoba
     * @return \StructType\OntoKreiranjeInput
     */
    public function setOdgovornaOsoba($odgovornaOsoba = null)
    {
        // validation for constraint: string
        if (!is_null($odgovornaOsoba) && !is_string($odgovornaOsoba)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($odgovornaOsoba)), __LINE__);
        }
        if (is_null($odgovornaOsoba) || (is_array($odgovornaOsoba) && empty($odgovornaOsoba))) {
            unset($this->OdgovornaOsoba);
        } else {
            $this->OdgovornaOsoba = $odgovornaOsoba;
        }
        return $this;
    }
    /**
     * Get VrijediDo value
     * @return string|null
     */
    public function getVrijediDo()
    {
        return $this->VrijediDo;
    }
    /**
     * Set VrijediDo value
     * @param string $vrijediDo
     * @return \StructType\OntoKreiranjeInput
     */
    public function setVrijediDo($vrijediDo = null)
    {
        // validation for constraint: string
        if (!is_null($vrijediDo) && !is_string($vrijediDo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($vrijediDo)), __LINE__);
        }
        $this->VrijediDo = $vrijediDo;
        return $this;
    }
    /**
     * Get VrijediOd value
     * @return string|null
     */
    public function getVrijediOd()
    {
        return $this->VrijediOd;
    }
    /**
     * Set VrijediOd value
     * @param string $vrijediOd
     * @return \StructType\OntoKreiranjeInput
     */
    public function setVrijediOd($vrijediOd = null)
    {
        // validation for constraint: string
        if (!is_null($vrijediOd) && !is_string($vrijediOd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($vrijediOd)), __LINE__);
        }
        $this->VrijediOd = $vrijediOd;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OntoKreiranjeInput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
