<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OntoPretragaInput StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:OntoPretragaInput
 * @subpackage Structs
 */
class OntoPretragaInput extends AbstractStructBase
{
    /**
     * The AktivanDo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $AktivanDo;
    /**
     * The AktivanOd
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $AktivanOd;
    /**
     * The KljucniBrojeviList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfint
     */
    public $KljucniBrojeviList;
    /**
     * The OntoStatusList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfint
     */
    public $OntoStatusList;
    /**
     * The OntoTipList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfint
     */
    public $OntoTipList;
    /**
     * The Sakriven
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $Sakriven;
    /**
     * Constructor method for OntoPretragaInput
     * @uses OntoPretragaInput::setAktivanDo()
     * @uses OntoPretragaInput::setAktivanOd()
     * @uses OntoPretragaInput::setKljucniBrojeviList()
     * @uses OntoPretragaInput::setOntoStatusList()
     * @uses OntoPretragaInput::setOntoTipList()
     * @uses OntoPretragaInput::setSakriven()
     * @param string $aktivanDo
     * @param string $aktivanOd
     * @param \ArrayType\ArrayOfint $kljucniBrojeviList
     * @param \ArrayType\ArrayOfint $ontoStatusList
     * @param \ArrayType\ArrayOfint $ontoTipList
     * @param bool $sakriven
     */
    public function __construct($aktivanDo = null, $aktivanOd = null, \ArrayType\ArrayOfint $kljucniBrojeviList = null, \ArrayType\ArrayOfint $ontoStatusList = null, \ArrayType\ArrayOfint $ontoTipList = null, $sakriven = null)
    {
        $this
            ->setAktivanDo($aktivanDo)
            ->setAktivanOd($aktivanOd)
            ->setKljucniBrojeviList($kljucniBrojeviList)
            ->setOntoStatusList($ontoStatusList)
            ->setOntoTipList($ontoTipList)
            ->setSakriven($sakriven);
    }
    /**
     * Get AktivanDo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAktivanDo()
    {
        return isset($this->AktivanDo) ? $this->AktivanDo : null;
    }
    /**
     * Set AktivanDo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $aktivanDo
     * @return \StructType\OntoPretragaInput
     */
    public function setAktivanDo($aktivanDo = null)
    {
        // validation for constraint: string
        if (!is_null($aktivanDo) && !is_string($aktivanDo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aktivanDo)), __LINE__);
        }
        if (is_null($aktivanDo) || (is_array($aktivanDo) && empty($aktivanDo))) {
            unset($this->AktivanDo);
        } else {
            $this->AktivanDo = $aktivanDo;
        }
        return $this;
    }
    /**
     * Get AktivanOd value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAktivanOd()
    {
        return isset($this->AktivanOd) ? $this->AktivanOd : null;
    }
    /**
     * Set AktivanOd value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $aktivanOd
     * @return \StructType\OntoPretragaInput
     */
    public function setAktivanOd($aktivanOd = null)
    {
        // validation for constraint: string
        if (!is_null($aktivanOd) && !is_string($aktivanOd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aktivanOd)), __LINE__);
        }
        if (is_null($aktivanOd) || (is_array($aktivanOd) && empty($aktivanOd))) {
            unset($this->AktivanOd);
        } else {
            $this->AktivanOd = $aktivanOd;
        }
        return $this;
    }
    /**
     * Get KljucniBrojeviList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfint|null
     */
    public function getKljucniBrojeviList()
    {
        return isset($this->KljucniBrojeviList) ? $this->KljucniBrojeviList : null;
    }
    /**
     * Set KljucniBrojeviList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfint $kljucniBrojeviList
     * @return \StructType\OntoPretragaInput
     */
    public function setKljucniBrojeviList(\ArrayType\ArrayOfint $kljucniBrojeviList = null)
    {
        if (is_null($kljucniBrojeviList) || (is_array($kljucniBrojeviList) && empty($kljucniBrojeviList))) {
            unset($this->KljucniBrojeviList);
        } else {
            $this->KljucniBrojeviList = $kljucniBrojeviList;
        }
        return $this;
    }
    /**
     * Get OntoStatusList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfint|null
     */
    public function getOntoStatusList()
    {
        return isset($this->OntoStatusList) ? $this->OntoStatusList : null;
    }
    /**
     * Set OntoStatusList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfint $ontoStatusList
     * @return \StructType\OntoPretragaInput
     */
    public function setOntoStatusList(\ArrayType\ArrayOfint $ontoStatusList = null)
    {
        if (is_null($ontoStatusList) || (is_array($ontoStatusList) && empty($ontoStatusList))) {
            unset($this->OntoStatusList);
        } else {
            $this->OntoStatusList = $ontoStatusList;
        }
        return $this;
    }
    /**
     * Get OntoTipList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfint|null
     */
    public function getOntoTipList()
    {
        return isset($this->OntoTipList) ? $this->OntoTipList : null;
    }
    /**
     * Set OntoTipList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfint $ontoTipList
     * @return \StructType\OntoPretragaInput
     */
    public function setOntoTipList(\ArrayType\ArrayOfint $ontoTipList = null)
    {
        if (is_null($ontoTipList) || (is_array($ontoTipList) && empty($ontoTipList))) {
            unset($this->OntoTipList);
        } else {
            $this->OntoTipList = $ontoTipList;
        }
        return $this;
    }
    /**
     * Get Sakriven value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getSakriven()
    {
        return isset($this->Sakriven) ? $this->Sakriven : null;
    }
    /**
     * Set Sakriven value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $sakriven
     * @return \StructType\OntoPretragaInput
     */
    public function setSakriven($sakriven = null)
    {
        // validation for constraint: boolean
        if (!is_null($sakriven) && !is_bool($sakriven)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sakriven)), __LINE__);
        }
        if (is_null($sakriven) || (is_array($sakriven) && empty($sakriven))) {
            unset($this->Sakriven);
        } else {
            $this->Sakriven = $sakriven;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OntoPretragaInput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
