<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OntoResponse StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:OntoResponse
 * @subpackage Structs
 */
class OntoResponse extends BaseResponseDTO
{
    /**
     * The Onto
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OntoResult
     */
    public $Onto;
    /**
     * Constructor method for OntoResponse
     * @uses OntoResponse::setOnto()
     * @param \StructType\OntoResult $onto
     */
    public function __construct(\StructType\OntoResult $onto = null)
    {
        $this
            ->setOnto($onto);
    }
    /**
     * Get Onto value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OntoResult|null
     */
    public function getOnto()
    {
        return isset($this->Onto) ? $this->Onto : null;
    }
    /**
     * Set Onto value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\OntoResult $onto
     * @return \StructType\OntoResponse
     */
    public function setOnto(\StructType\OntoResult $onto = null)
    {
        if (is_null($onto) || (is_array($onto) && empty($onto))) {
            unset($this->Onto);
        } else {
            $this->Onto = $onto;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OntoResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
