<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OntoResult StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:OntoResult
 * @subpackage Structs
 */
class OntoResult extends AbstractStructBase
{
    /**
     * The KljucniBrojOtpadaID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KljucniBrojOtpadaID;
    /**
     * The LokacijaID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $LokacijaID;
    /**
     * The OdgovornaOsoba
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OdgovornaOsoba;
    /**
     * The OntoID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $OntoID;
    /**
     * The PravnaOsoba
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PravnaOsobaObrt
     */
    public $PravnaOsoba;
    /**
     * The Sakriven
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Sakriven;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Status;
    /**
     * The Tip
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Tip;
    /**
     * The VrijediDo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $VrijediDo;
    /**
     * The VrijediOd
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $VrijediOd;
    /**
     * Constructor method for OntoResult
     * @uses OntoResult::setKljucniBrojOtpadaID()
     * @uses OntoResult::setLokacijaID()
     * @uses OntoResult::setOdgovornaOsoba()
     * @uses OntoResult::setOntoID()
     * @uses OntoResult::setPravnaOsoba()
     * @uses OntoResult::setSakriven()
     * @uses OntoResult::setStatus()
     * @uses OntoResult::setTip()
     * @uses OntoResult::setVrijediDo()
     * @uses OntoResult::setVrijediOd()
     * @param int $kljucniBrojOtpadaID
     * @param int $lokacijaID
     * @param string $odgovornaOsoba
     * @param int $ontoID
     * @param \StructType\PravnaOsobaObrt $pravnaOsoba
     * @param bool $sakriven
     * @param int $status
     * @param int $tip
     * @param string $vrijediDo
     * @param string $vrijediOd
     */
    public function __construct($kljucniBrojOtpadaID = null, $lokacijaID = null, $odgovornaOsoba = null, $ontoID = null, \StructType\PravnaOsobaObrt $pravnaOsoba = null, $sakriven = null, $status = null, $tip = null, $vrijediDo = null, $vrijediOd = null)
    {
        $this
            ->setKljucniBrojOtpadaID($kljucniBrojOtpadaID)
            ->setLokacijaID($lokacijaID)
            ->setOdgovornaOsoba($odgovornaOsoba)
            ->setOntoID($ontoID)
            ->setPravnaOsoba($pravnaOsoba)
            ->setSakriven($sakriven)
            ->setStatus($status)
            ->setTip($tip)
            ->setVrijediDo($vrijediDo)
            ->setVrijediOd($vrijediOd);
    }
    /**
     * Get KljucniBrojOtpadaID value
     * @return int|null
     */
    public function getKljucniBrojOtpadaID()
    {
        return $this->KljucniBrojOtpadaID;
    }
    /**
     * Set KljucniBrojOtpadaID value
     * @param int $kljucniBrojOtpadaID
     * @return \StructType\OntoResult
     */
    public function setKljucniBrojOtpadaID($kljucniBrojOtpadaID = null)
    {
        // validation for constraint: int
        if (!is_null($kljucniBrojOtpadaID) && !is_numeric($kljucniBrojOtpadaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($kljucniBrojOtpadaID)), __LINE__);
        }
        $this->KljucniBrojOtpadaID = $kljucniBrojOtpadaID;
        return $this;
    }
    /**
     * Get LokacijaID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getLokacijaID()
    {
        return isset($this->LokacijaID) ? $this->LokacijaID : null;
    }
    /**
     * Set LokacijaID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $lokacijaID
     * @return \StructType\OntoResult
     */
    public function setLokacijaID($lokacijaID = null)
    {
        // validation for constraint: int
        if (!is_null($lokacijaID) && !is_numeric($lokacijaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($lokacijaID)), __LINE__);
        }
        if (is_null($lokacijaID) || (is_array($lokacijaID) && empty($lokacijaID))) {
            unset($this->LokacijaID);
        } else {
            $this->LokacijaID = $lokacijaID;
        }
        return $this;
    }
    /**
     * Get OdgovornaOsoba value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOdgovornaOsoba()
    {
        return isset($this->OdgovornaOsoba) ? $this->OdgovornaOsoba : null;
    }
    /**
     * Set OdgovornaOsoba value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $odgovornaOsoba
     * @return \StructType\OntoResult
     */
    public function setOdgovornaOsoba($odgovornaOsoba = null)
    {
        // validation for constraint: string
        if (!is_null($odgovornaOsoba) && !is_string($odgovornaOsoba)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($odgovornaOsoba)), __LINE__);
        }
        if (is_null($odgovornaOsoba) || (is_array($odgovornaOsoba) && empty($odgovornaOsoba))) {
            unset($this->OdgovornaOsoba);
        } else {
            $this->OdgovornaOsoba = $odgovornaOsoba;
        }
        return $this;
    }
    /**
     * Get OntoID value
     * @return int|null
     */
    public function getOntoID()
    {
        return $this->OntoID;
    }
    /**
     * Set OntoID value
     * @param int $ontoID
     * @return \StructType\OntoResult
     */
    public function setOntoID($ontoID = null)
    {
        // validation for constraint: int
        if (!is_null($ontoID) && !is_numeric($ontoID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($ontoID)), __LINE__);
        }
        $this->OntoID = $ontoID;
        return $this;
    }
    /**
     * Get PravnaOsoba value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PravnaOsobaObrt|null
     */
    public function getPravnaOsoba()
    {
        return isset($this->PravnaOsoba) ? $this->PravnaOsoba : null;
    }
    /**
     * Set PravnaOsoba value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PravnaOsobaObrt $pravnaOsoba
     * @return \StructType\OntoResult
     */
    public function setPravnaOsoba(\StructType\PravnaOsobaObrt $pravnaOsoba = null)
    {
        if (is_null($pravnaOsoba) || (is_array($pravnaOsoba) && empty($pravnaOsoba))) {
            unset($this->PravnaOsoba);
        } else {
            $this->PravnaOsoba = $pravnaOsoba;
        }
        return $this;
    }
    /**
     * Get Sakriven value
     * @return bool|null
     */
    public function getSakriven()
    {
        return $this->Sakriven;
    }
    /**
     * Set Sakriven value
     * @param bool $sakriven
     * @return \StructType\OntoResult
     */
    public function setSakriven($sakriven = null)
    {
        // validation for constraint: boolean
        if (!is_null($sakriven) && !is_bool($sakriven)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sakriven)), __LINE__);
        }
        $this->Sakriven = $sakriven;
        return $this;
    }
    /**
     * Get Status value
     * @return int|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param int $status
     * @return \StructType\OntoResult
     */
    public function setStatus($status = null)
    {
        // validation for constraint: int
        if (!is_null($status) && !is_numeric($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get Tip value
     * @return int|null
     */
    public function getTip()
    {
        return $this->Tip;
    }
    /**
     * Set Tip value
     * @param int $tip
     * @return \StructType\OntoResult
     */
    public function setTip($tip = null)
    {
        // validation for constraint: int
        if (!is_null($tip) && !is_numeric($tip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tip)), __LINE__);
        }
        $this->Tip = $tip;
        return $this;
    }
    /**
     * Get VrijediDo value
     * @return string|null
     */
    public function getVrijediDo()
    {
        return $this->VrijediDo;
    }
    /**
     * Set VrijediDo value
     * @param string $vrijediDo
     * @return \StructType\OntoResult
     */
    public function setVrijediDo($vrijediDo = null)
    {
        // validation for constraint: string
        if (!is_null($vrijediDo) && !is_string($vrijediDo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($vrijediDo)), __LINE__);
        }
        $this->VrijediDo = $vrijediDo;
        return $this;
    }
    /**
     * Get VrijediOd value
     * @return string|null
     */
    public function getVrijediOd()
    {
        return $this->VrijediOd;
    }
    /**
     * Set VrijediOd value
     * @param string $vrijediOd
     * @return \StructType\OntoResult
     */
    public function setVrijediOd($vrijediOd = null)
    {
        // validation for constraint: string
        if (!is_null($vrijediOd) && !is_string($vrijediOd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($vrijediOd)), __LINE__);
        }
        $this->VrijediOd = $vrijediOd;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OntoResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
