<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OznakaPosebneKategorije StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:OznakaPosebneKategorije
 * @subpackage Structs
 */
class OznakaPosebneKategorije extends AbstractStructBase
{
    /**
     * The Naziv
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Naziv;
    /**
     * The NazivPosebneKategorijeOtpada
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NazivPosebneKategorijeOtpada;
    /**
     * The OznakaPosebneKategorijeID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $OznakaPosebneKategorijeID;
    /**
     * The Sifra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Sifra;
    /**
     * Constructor method for OznakaPosebneKategorije
     * @uses OznakaPosebneKategorije::setNaziv()
     * @uses OznakaPosebneKategorije::setNazivPosebneKategorijeOtpada()
     * @uses OznakaPosebneKategorije::setOznakaPosebneKategorijeID()
     * @uses OznakaPosebneKategorije::setSifra()
     * @param string $naziv
     * @param string $nazivPosebneKategorijeOtpada
     * @param int $oznakaPosebneKategorijeID
     * @param string $sifra
     */
    public function __construct($naziv = null, $nazivPosebneKategorijeOtpada = null, $oznakaPosebneKategorijeID = null, $sifra = null)
    {
        $this
            ->setNaziv($naziv)
            ->setNazivPosebneKategorijeOtpada($nazivPosebneKategorijeOtpada)
            ->setOznakaPosebneKategorijeID($oznakaPosebneKategorijeID)
            ->setSifra($sifra);
    }
    /**
     * Get Naziv value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNaziv()
    {
        return isset($this->Naziv) ? $this->Naziv : null;
    }
    /**
     * Set Naziv value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $naziv
     * @return \StructType\OznakaPosebneKategorije
     */
    public function setNaziv($naziv = null)
    {
        // validation for constraint: string
        if (!is_null($naziv) && !is_string($naziv)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($naziv)), __LINE__);
        }
        if (is_null($naziv) || (is_array($naziv) && empty($naziv))) {
            unset($this->Naziv);
        } else {
            $this->Naziv = $naziv;
        }
        return $this;
    }
    /**
     * Get NazivPosebneKategorijeOtpada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNazivPosebneKategorijeOtpada()
    {
        return isset($this->NazivPosebneKategorijeOtpada) ? $this->NazivPosebneKategorijeOtpada : null;
    }
    /**
     * Set NazivPosebneKategorijeOtpada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nazivPosebneKategorijeOtpada
     * @return \StructType\OznakaPosebneKategorije
     */
    public function setNazivPosebneKategorijeOtpada($nazivPosebneKategorijeOtpada = null)
    {
        // validation for constraint: string
        if (!is_null($nazivPosebneKategorijeOtpada) && !is_string($nazivPosebneKategorijeOtpada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nazivPosebneKategorijeOtpada)), __LINE__);
        }
        if (is_null($nazivPosebneKategorijeOtpada) || (is_array($nazivPosebneKategorijeOtpada) && empty($nazivPosebneKategorijeOtpada))) {
            unset($this->NazivPosebneKategorijeOtpada);
        } else {
            $this->NazivPosebneKategorijeOtpada = $nazivPosebneKategorijeOtpada;
        }
        return $this;
    }
    /**
     * Get OznakaPosebneKategorijeID value
     * @return int|null
     */
    public function getOznakaPosebneKategorijeID()
    {
        return $this->OznakaPosebneKategorijeID;
    }
    /**
     * Set OznakaPosebneKategorijeID value
     * @param int $oznakaPosebneKategorijeID
     * @return \StructType\OznakaPosebneKategorije
     */
    public function setOznakaPosebneKategorijeID($oznakaPosebneKategorijeID = null)
    {
        // validation for constraint: int
        if (!is_null($oznakaPosebneKategorijeID) && !is_numeric($oznakaPosebneKategorijeID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($oznakaPosebneKategorijeID)), __LINE__);
        }
        $this->OznakaPosebneKategorijeID = $oznakaPosebneKategorijeID;
        return $this;
    }
    /**
     * Get Sifra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSifra()
    {
        return isset($this->Sifra) ? $this->Sifra : null;
    }
    /**
     * Set Sifra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sifra
     * @return \StructType\OznakaPosebneKategorije
     */
    public function setSifra($sifra = null)
    {
        // validation for constraint: string
        if (!is_null($sifra) && !is_string($sifra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sifra)), __LINE__);
        }
        if (is_null($sifra) || (is_array($sifra) && empty($sifra))) {
            unset($this->Sifra);
        } else {
            $this->Sifra = $sifra;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OznakaPosebneKategorije
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
