<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PLOResponse StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:PLOResponse
 * @subpackage Structs
 */
class PLOResponse extends BaseResponseDTO
{
    /**
     * The PLOPrava
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PLOPrava
     */
    public $PLOPrava;
    /**
     * The PovijestNapomena
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPovijestNapomena
     */
    public $PovijestNapomena;
    /**
     * The PovijestZakljucenja
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPovijestZakljucenja
     */
    public $PovijestZakljucenja;
    /**
     * The PrateciList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PrateciListResult
     */
    public $PrateciList;
    /**
     * Constructor method for PLOResponse
     * @uses PLOResponse::setPLOPrava()
     * @uses PLOResponse::setPovijestNapomena()
     * @uses PLOResponse::setPovijestZakljucenja()
     * @uses PLOResponse::setPrateciList()
     * @param \StructType\PLOPrava $pLOPrava
     * @param \ArrayType\ArrayOfPovijestNapomena $povijestNapomena
     * @param \ArrayType\ArrayOfPovijestZakljucenja $povijestZakljucenja
     * @param \StructType\PrateciListResult $prateciList
     */
    public function __construct(\StructType\PLOPrava $pLOPrava = null, \ArrayType\ArrayOfPovijestNapomena $povijestNapomena = null, \ArrayType\ArrayOfPovijestZakljucenja $povijestZakljucenja = null, \StructType\PrateciListResult $prateciList = null)
    {
        $this
            ->setPLOPrava($pLOPrava)
            ->setPovijestNapomena($povijestNapomena)
            ->setPovijestZakljucenja($povijestZakljucenja)
            ->setPrateciList($prateciList);
    }
    /**
     * Get PLOPrava value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PLOPrava|null
     */
    public function getPLOPrava()
    {
        return isset($this->PLOPrava) ? $this->PLOPrava : null;
    }
    /**
     * Set PLOPrava value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PLOPrava $pLOPrava
     * @return \StructType\PLOResponse
     */
    public function setPLOPrava(\StructType\PLOPrava $pLOPrava = null)
    {
        if (is_null($pLOPrava) || (is_array($pLOPrava) && empty($pLOPrava))) {
            unset($this->PLOPrava);
        } else {
            $this->PLOPrava = $pLOPrava;
        }
        return $this;
    }
    /**
     * Get PovijestNapomena value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPovijestNapomena|null
     */
    public function getPovijestNapomena()
    {
        return isset($this->PovijestNapomena) ? $this->PovijestNapomena : null;
    }
    /**
     * Set PovijestNapomena value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPovijestNapomena $povijestNapomena
     * @return \StructType\PLOResponse
     */
    public function setPovijestNapomena(\ArrayType\ArrayOfPovijestNapomena $povijestNapomena = null)
    {
        if (is_null($povijestNapomena) || (is_array($povijestNapomena) && empty($povijestNapomena))) {
            unset($this->PovijestNapomena);
        } else {
            $this->PovijestNapomena = $povijestNapomena;
        }
        return $this;
    }
    /**
     * Get PovijestZakljucenja value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPovijestZakljucenja|null
     */
    public function getPovijestZakljucenja()
    {
        return isset($this->PovijestZakljucenja) ? $this->PovijestZakljucenja : null;
    }
    /**
     * Set PovijestZakljucenja value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPovijestZakljucenja $povijestZakljucenja
     * @return \StructType\PLOResponse
     */
    public function setPovijestZakljucenja(\ArrayType\ArrayOfPovijestZakljucenja $povijestZakljucenja = null)
    {
        if (is_null($povijestZakljucenja) || (is_array($povijestZakljucenja) && empty($povijestZakljucenja))) {
            unset($this->PovijestZakljucenja);
        } else {
            $this->PovijestZakljucenja = $povijestZakljucenja;
        }
        return $this;
    }
    /**
     * Get PrateciList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PrateciListResult|null
     */
    public function getPrateciList()
    {
        return isset($this->PrateciList) ? $this->PrateciList : null;
    }
    /**
     * Set PrateciList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PrateciListResult $prateciList
     * @return \StructType\PLOResponse
     */
    public function setPrateciList(\StructType\PrateciListResult $prateciList = null)
    {
        if (is_null($prateciList) || (is_array($prateciList) && empty($prateciList))) {
            unset($this->PrateciList);
        } else {
            $this->PrateciList = $prateciList;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PLOResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
