<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PorukaResult StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:PorukaResult
 * @subpackage Structs
 */
class PorukaResult extends AbstractStructBase
{
    /**
     * The Datum
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Datum;
    /**
     * The DatumIsteka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $DatumIsteka;
    /**
     * The HasPrivitak
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $HasPrivitak;
    /**
     * The NazivPrivitka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NazivPrivitka;
    /**
     * The Poruka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Poruka;
    /**
     * The PorukaId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $PorukaId;
    /**
     * The Posiljatelj
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Posiljatelj;
    /**
     * The Primatelj
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Primatelj;
    /**
     * The Privitak
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Privitak;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Status;
    /**
     * The Tema
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Tema;
    /**
     * The TipPrivitka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipPrivitka;
    /**
     * Constructor method for PorukaResult
     * @uses PorukaResult::setDatum()
     * @uses PorukaResult::setDatumIsteka()
     * @uses PorukaResult::setHasPrivitak()
     * @uses PorukaResult::setNazivPrivitka()
     * @uses PorukaResult::setPoruka()
     * @uses PorukaResult::setPorukaId()
     * @uses PorukaResult::setPosiljatelj()
     * @uses PorukaResult::setPrimatelj()
     * @uses PorukaResult::setPrivitak()
     * @uses PorukaResult::setStatus()
     * @uses PorukaResult::setTema()
     * @uses PorukaResult::setTipPrivitka()
     * @param string $datum
     * @param string $datumIsteka
     * @param bool $hasPrivitak
     * @param string $nazivPrivitka
     * @param string $poruka
     * @param int $porukaId
     * @param string $posiljatelj
     * @param string $primatelj
     * @param string $privitak
     * @param string $status
     * @param string $tema
     * @param string $tipPrivitka
     */
    public function __construct($datum = null, $datumIsteka = null, $hasPrivitak = null, $nazivPrivitka = null, $poruka = null, $porukaId = null, $posiljatelj = null, $primatelj = null, $privitak = null, $status = null, $tema = null, $tipPrivitka = null)
    {
        $this
            ->setDatum($datum)
            ->setDatumIsteka($datumIsteka)
            ->setHasPrivitak($hasPrivitak)
            ->setNazivPrivitka($nazivPrivitka)
            ->setPoruka($poruka)
            ->setPorukaId($porukaId)
            ->setPosiljatelj($posiljatelj)
            ->setPrimatelj($primatelj)
            ->setPrivitak($privitak)
            ->setStatus($status)
            ->setTema($tema)
            ->setTipPrivitka($tipPrivitka);
    }
    /**
     * Get Datum value
     * @return string|null
     */
    public function getDatum()
    {
        return $this->Datum;
    }
    /**
     * Set Datum value
     * @param string $datum
     * @return \StructType\PorukaResult
     */
    public function setDatum($datum = null)
    {
        // validation for constraint: string
        if (!is_null($datum) && !is_string($datum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($datum)), __LINE__);
        }
        $this->Datum = $datum;
        return $this;
    }
    /**
     * Get DatumIsteka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDatumIsteka()
    {
        return isset($this->DatumIsteka) ? $this->DatumIsteka : null;
    }
    /**
     * Set DatumIsteka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $datumIsteka
     * @return \StructType\PorukaResult
     */
    public function setDatumIsteka($datumIsteka = null)
    {
        // validation for constraint: string
        if (!is_null($datumIsteka) && !is_string($datumIsteka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($datumIsteka)), __LINE__);
        }
        if (is_null($datumIsteka) || (is_array($datumIsteka) && empty($datumIsteka))) {
            unset($this->DatumIsteka);
        } else {
            $this->DatumIsteka = $datumIsteka;
        }
        return $this;
    }
    /**
     * Get HasPrivitak value
     * @return bool|null
     */
    public function getHasPrivitak()
    {
        return $this->HasPrivitak;
    }
    /**
     * Set HasPrivitak value
     * @param bool $hasPrivitak
     * @return \StructType\PorukaResult
     */
    public function setHasPrivitak($hasPrivitak = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasPrivitak) && !is_bool($hasPrivitak)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($hasPrivitak)), __LINE__);
        }
        $this->HasPrivitak = $hasPrivitak;
        return $this;
    }
    /**
     * Get NazivPrivitka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNazivPrivitka()
    {
        return isset($this->NazivPrivitka) ? $this->NazivPrivitka : null;
    }
    /**
     * Set NazivPrivitka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $nazivPrivitka
     * @return \StructType\PorukaResult
     */
    public function setNazivPrivitka($nazivPrivitka = null)
    {
        // validation for constraint: string
        if (!is_null($nazivPrivitka) && !is_string($nazivPrivitka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nazivPrivitka)), __LINE__);
        }
        if (is_null($nazivPrivitka) || (is_array($nazivPrivitka) && empty($nazivPrivitka))) {
            unset($this->NazivPrivitka);
        } else {
            $this->NazivPrivitka = $nazivPrivitka;
        }
        return $this;
    }
    /**
     * Get Poruka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPoruka()
    {
        return isset($this->Poruka) ? $this->Poruka : null;
    }
    /**
     * Set Poruka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $poruka
     * @return \StructType\PorukaResult
     */
    public function setPoruka($poruka = null)
    {
        // validation for constraint: string
        if (!is_null($poruka) && !is_string($poruka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($poruka)), __LINE__);
        }
        if (is_null($poruka) || (is_array($poruka) && empty($poruka))) {
            unset($this->Poruka);
        } else {
            $this->Poruka = $poruka;
        }
        return $this;
    }
    /**
     * Get PorukaId value
     * @return int|null
     */
    public function getPorukaId()
    {
        return $this->PorukaId;
    }
    /**
     * Set PorukaId value
     * @param int $porukaId
     * @return \StructType\PorukaResult
     */
    public function setPorukaId($porukaId = null)
    {
        // validation for constraint: int
        if (!is_null($porukaId) && !is_numeric($porukaId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($porukaId)), __LINE__);
        }
        $this->PorukaId = $porukaId;
        return $this;
    }
    /**
     * Get Posiljatelj value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPosiljatelj()
    {
        return isset($this->Posiljatelj) ? $this->Posiljatelj : null;
    }
    /**
     * Set Posiljatelj value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $posiljatelj
     * @return \StructType\PorukaResult
     */
    public function setPosiljatelj($posiljatelj = null)
    {
        // validation for constraint: string
        if (!is_null($posiljatelj) && !is_string($posiljatelj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($posiljatelj)), __LINE__);
        }
        if (is_null($posiljatelj) || (is_array($posiljatelj) && empty($posiljatelj))) {
            unset($this->Posiljatelj);
        } else {
            $this->Posiljatelj = $posiljatelj;
        }
        return $this;
    }
    /**
     * Get Primatelj value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPrimatelj()
    {
        return isset($this->Primatelj) ? $this->Primatelj : null;
    }
    /**
     * Set Primatelj value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $primatelj
     * @return \StructType\PorukaResult
     */
    public function setPrimatelj($primatelj = null)
    {
        // validation for constraint: string
        if (!is_null($primatelj) && !is_string($primatelj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($primatelj)), __LINE__);
        }
        if (is_null($primatelj) || (is_array($primatelj) && empty($primatelj))) {
            unset($this->Primatelj);
        } else {
            $this->Primatelj = $primatelj;
        }
        return $this;
    }
    /**
     * Get Privitak value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPrivitak()
    {
        return isset($this->Privitak) ? $this->Privitak : null;
    }
    /**
     * Set Privitak value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $privitak
     * @return \StructType\PorukaResult
     */
    public function setPrivitak($privitak = null)
    {
        // validation for constraint: string
        if (!is_null($privitak) && !is_string($privitak)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($privitak)), __LINE__);
        }
        if (is_null($privitak) || (is_array($privitak) && empty($privitak))) {
            unset($this->Privitak);
        } else {
            $this->Privitak = $privitak;
        }
        return $this;
    }
    /**
     * Get Status value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getStatus()
    {
        return isset($this->Status) ? $this->Status : null;
    }
    /**
     * Set Status value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $status
     * @return \StructType\PorukaResult
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        if (is_null($status) || (is_array($status) && empty($status))) {
            unset($this->Status);
        } else {
            $this->Status = $status;
        }
        return $this;
    }
    /**
     * Get Tema value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTema()
    {
        return isset($this->Tema) ? $this->Tema : null;
    }
    /**
     * Set Tema value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tema
     * @return \StructType\PorukaResult
     */
    public function setTema($tema = null)
    {
        // validation for constraint: string
        if (!is_null($tema) && !is_string($tema)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tema)), __LINE__);
        }
        if (is_null($tema) || (is_array($tema) && empty($tema))) {
            unset($this->Tema);
        } else {
            $this->Tema = $tema;
        }
        return $this;
    }
    /**
     * Get TipPrivitka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipPrivitka()
    {
        return isset($this->TipPrivitka) ? $this->TipPrivitka : null;
    }
    /**
     * Set TipPrivitka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipPrivitka
     * @return \StructType\PorukaResult
     */
    public function setTipPrivitka($tipPrivitka = null)
    {
        // validation for constraint: string
        if (!is_null($tipPrivitka) && !is_string($tipPrivitka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipPrivitka)), __LINE__);
        }
        if (is_null($tipPrivitka) || (is_array($tipPrivitka) && empty($tipPrivitka))) {
            unset($this->TipPrivitka);
        } else {
            $this->TipPrivitka = $tipPrivitka;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PorukaResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
