<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RDPostupak StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:RDPostupak
 * @subpackage Structs
 */
class RDPostupak extends AbstractStructBase
{
    /**
     * The Aktivan
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Aktivan;
    /**
     * The GodinaVazenjaPropisa
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $GodinaVazenjaPropisa;
    /**
     * The KonacniPostupak
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $KonacniPostupak;
    /**
     * The Naziv
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Naziv;
    /**
     * The Oznaka
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Oznaka;
    /**
     * The RDPostupakID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $RDPostupakID;
    /**
     * The Tip
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Tip;
    /**
     * Constructor method for RDPostupak
     * @uses RDPostupak::setAktivan()
     * @uses RDPostupak::setGodinaVazenjaPropisa()
     * @uses RDPostupak::setKonacniPostupak()
     * @uses RDPostupak::setNaziv()
     * @uses RDPostupak::setOznaka()
     * @uses RDPostupak::setRDPostupakID()
     * @uses RDPostupak::setTip()
     * @param bool $aktivan
     * @param int $godinaVazenjaPropisa
     * @param bool $konacniPostupak
     * @param string $naziv
     * @param string $oznaka
     * @param int $rDPostupakID
     * @param string $tip
     */
    public function __construct($aktivan = null, $godinaVazenjaPropisa = null, $konacniPostupak = null, $naziv = null, $oznaka = null, $rDPostupakID = null, $tip = null)
    {
        $this
            ->setAktivan($aktivan)
            ->setGodinaVazenjaPropisa($godinaVazenjaPropisa)
            ->setKonacniPostupak($konacniPostupak)
            ->setNaziv($naziv)
            ->setOznaka($oznaka)
            ->setRDPostupakID($rDPostupakID)
            ->setTip($tip);
    }
    /**
     * Get Aktivan value
     * @return bool|null
     */
    public function getAktivan()
    {
        return $this->Aktivan;
    }
    /**
     * Set Aktivan value
     * @param bool $aktivan
     * @return \StructType\RDPostupak
     */
    public function setAktivan($aktivan = null)
    {
        // validation for constraint: boolean
        if (!is_null($aktivan) && !is_bool($aktivan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($aktivan)), __LINE__);
        }
        $this->Aktivan = $aktivan;
        return $this;
    }
    /**
     * Get GodinaVazenjaPropisa value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getGodinaVazenjaPropisa()
    {
        return isset($this->GodinaVazenjaPropisa) ? $this->GodinaVazenjaPropisa : null;
    }
    /**
     * Set GodinaVazenjaPropisa value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $godinaVazenjaPropisa
     * @return \StructType\RDPostupak
     */
    public function setGodinaVazenjaPropisa($godinaVazenjaPropisa = null)
    {
        // validation for constraint: int
        if (!is_null($godinaVazenjaPropisa) && !is_numeric($godinaVazenjaPropisa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($godinaVazenjaPropisa)), __LINE__);
        }
        if (is_null($godinaVazenjaPropisa) || (is_array($godinaVazenjaPropisa) && empty($godinaVazenjaPropisa))) {
            unset($this->GodinaVazenjaPropisa);
        } else {
            $this->GodinaVazenjaPropisa = $godinaVazenjaPropisa;
        }
        return $this;
    }
    /**
     * Get KonacniPostupak value
     * @return bool|null
     */
    public function getKonacniPostupak()
    {
        return $this->KonacniPostupak;
    }
    /**
     * Set KonacniPostupak value
     * @param bool $konacniPostupak
     * @return \StructType\RDPostupak
     */
    public function setKonacniPostupak($konacniPostupak = null)
    {
        // validation for constraint: boolean
        if (!is_null($konacniPostupak) && !is_bool($konacniPostupak)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($konacniPostupak)), __LINE__);
        }
        $this->KonacniPostupak = $konacniPostupak;
        return $this;
    }
    /**
     * Get Naziv value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNaziv()
    {
        return isset($this->Naziv) ? $this->Naziv : null;
    }
    /**
     * Set Naziv value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $naziv
     * @return \StructType\RDPostupak
     */
    public function setNaziv($naziv = null)
    {
        // validation for constraint: string
        if (!is_null($naziv) && !is_string($naziv)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($naziv)), __LINE__);
        }
        if (is_null($naziv) || (is_array($naziv) && empty($naziv))) {
            unset($this->Naziv);
        } else {
            $this->Naziv = $naziv;
        }
        return $this;
    }
    /**
     * Get Oznaka value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOznaka()
    {
        return isset($this->Oznaka) ? $this->Oznaka : null;
    }
    /**
     * Set Oznaka value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oznaka
     * @return \StructType\RDPostupak
     */
    public function setOznaka($oznaka = null)
    {
        // validation for constraint: string
        if (!is_null($oznaka) && !is_string($oznaka)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($oznaka)), __LINE__);
        }
        if (is_null($oznaka) || (is_array($oznaka) && empty($oznaka))) {
            unset($this->Oznaka);
        } else {
            $this->Oznaka = $oznaka;
        }
        return $this;
    }
    /**
     * Get RDPostupakID value
     * @return int|null
     */
    public function getRDPostupakID()
    {
        return $this->RDPostupakID;
    }
    /**
     * Set RDPostupakID value
     * @param int $rDPostupakID
     * @return \StructType\RDPostupak
     */
    public function setRDPostupakID($rDPostupakID = null)
    {
        // validation for constraint: int
        if (!is_null($rDPostupakID) && !is_numeric($rDPostupakID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rDPostupakID)), __LINE__);
        }
        $this->RDPostupakID = $rDPostupakID;
        return $this;
    }
    /**
     * Get Tip value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTip()
    {
        return isset($this->Tip) ? $this->Tip : null;
    }
    /**
     * Set Tip value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tip
     * @return \StructType\RDPostupak
     */
    public function setTip($tip = null)
    {
        // validation for constraint: string
        if (!is_null($tip) && !is_string($tip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tip)), __LINE__);
        }
        if (is_null($tip) || (is_array($tip) && empty($tip))) {
            unset($this->Tip);
        } else {
            $this->Tip = $tip;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RDPostupak
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
