<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StornirajTijekOtpada StructType
 * @subpackage Structs
 */
class StornirajTijekOtpada extends AbstractStructBase
{
    /**
     * The tijekOtpadaID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $tijekOtpadaID;
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $username;
    /**
     * The securityToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $securityToken;
    /**
     * The rowVersion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $rowVersion;
    /**
     * Constructor method for StornirajTijekOtpada
     * @uses StornirajTijekOtpada::setTijekOtpadaID()
     * @uses StornirajTijekOtpada::setUsername()
     * @uses StornirajTijekOtpada::setSecurityToken()
     * @uses StornirajTijekOtpada::setRowVersion()
     * @param int $tijekOtpadaID
     * @param string $username
     * @param string $securityToken
     * @param string $rowVersion
     */
    public function __construct($tijekOtpadaID = null, $username = null, $securityToken = null, $rowVersion = null)
    {
        $this
            ->setTijekOtpadaID($tijekOtpadaID)
            ->setUsername($username)
            ->setSecurityToken($securityToken)
            ->setRowVersion($rowVersion);
    }
    /**
     * Get tijekOtpadaID value
     * @return int|null
     */
    public function getTijekOtpadaID()
    {
        return $this->tijekOtpadaID;
    }
    /**
     * Set tijekOtpadaID value
     * @param int $tijekOtpadaID
     * @return \StructType\StornirajTijekOtpada
     */
    public function setTijekOtpadaID($tijekOtpadaID = null)
    {
        // validation for constraint: int
        if (!is_null($tijekOtpadaID) && !is_numeric($tijekOtpadaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tijekOtpadaID)), __LINE__);
        }
        $this->tijekOtpadaID = $tijekOtpadaID;
        return $this;
    }
    /**
     * Get username value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsername()
    {
        return isset($this->username) ? $this->username : null;
    }
    /**
     * Set username value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $username
     * @return \StructType\StornirajTijekOtpada
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        if (is_null($username) || (is_array($username) && empty($username))) {
            unset($this->username);
        } else {
            $this->username = $username;
        }
        return $this;
    }
    /**
     * Get securityToken value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSecurityToken()
    {
        return isset($this->securityToken) ? $this->securityToken : null;
    }
    /**
     * Set securityToken value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $securityToken
     * @return \StructType\StornirajTijekOtpada
     */
    public function setSecurityToken($securityToken = null)
    {
        // validation for constraint: string
        if (!is_null($securityToken) && !is_string($securityToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($securityToken)), __LINE__);
        }
        if (is_null($securityToken) || (is_array($securityToken) && empty($securityToken))) {
            unset($this->securityToken);
        } else {
            $this->securityToken = $securityToken;
        }
        return $this;
    }
    /**
     * Get rowVersion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRowVersion()
    {
        return isset($this->rowVersion) ? $this->rowVersion : null;
    }
    /**
     * Set rowVersion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $rowVersion
     * @return \StructType\StornirajTijekOtpada
     */
    public function setRowVersion($rowVersion = null)
    {
        // validation for constraint: string
        if (!is_null($rowVersion) && !is_string($rowVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rowVersion)), __LINE__);
        }
        if (is_null($rowVersion) || (is_array($rowVersion) && empty($rowVersion))) {
            unset($this->rowVersion);
        } else {
            $this->rowVersion = $rowVersion;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StornirajTijekOtpada
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
