<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StornirajTijekOtpadaP StructType
 * @subpackage Structs
 */
class StornirajTijekOtpadaP extends AbstractStructBase
{
    /**
     * The tijekOtpadaPID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $tijekOtpadaPID;
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $username;
    /**
     * The securityToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $securityToken;
    /**
     * The rowVersion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $rowVersion;
    /**
     * Constructor method for StornirajTijekOtpadaP
     * @uses StornirajTijekOtpadaP::setTijekOtpadaPID()
     * @uses StornirajTijekOtpadaP::setUsername()
     * @uses StornirajTijekOtpadaP::setSecurityToken()
     * @uses StornirajTijekOtpadaP::setRowVersion()
     * @param int $tijekOtpadaPID
     * @param string $username
     * @param string $securityToken
     * @param string $rowVersion
     */
    public function __construct($tijekOtpadaPID = null, $username = null, $securityToken = null, $rowVersion = null)
    {
        $this
            ->setTijekOtpadaPID($tijekOtpadaPID)
            ->setUsername($username)
            ->setSecurityToken($securityToken)
            ->setRowVersion($rowVersion);
    }
    /**
     * Get tijekOtpadaPID value
     * @return int|null
     */
    public function getTijekOtpadaPID()
    {
        return $this->tijekOtpadaPID;
    }
    /**
     * Set tijekOtpadaPID value
     * @param int $tijekOtpadaPID
     * @return \StructType\StornirajTijekOtpadaP
     */
    public function setTijekOtpadaPID($tijekOtpadaPID = null)
    {
        // validation for constraint: int
        if (!is_null($tijekOtpadaPID) && !is_numeric($tijekOtpadaPID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tijekOtpadaPID)), __LINE__);
        }
        $this->tijekOtpadaPID = $tijekOtpadaPID;
        return $this;
    }
    /**
     * Get username value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUsername()
    {
        return isset($this->username) ? $this->username : null;
    }
    /**
     * Set username value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $username
     * @return \StructType\StornirajTijekOtpadaP
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        if (is_null($username) || (is_array($username) && empty($username))) {
            unset($this->username);
        } else {
            $this->username = $username;
        }
        return $this;
    }
    /**
     * Get securityToken value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSecurityToken()
    {
        return isset($this->securityToken) ? $this->securityToken : null;
    }
    /**
     * Set securityToken value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $securityToken
     * @return \StructType\StornirajTijekOtpadaP
     */
    public function setSecurityToken($securityToken = null)
    {
        // validation for constraint: string
        if (!is_null($securityToken) && !is_string($securityToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($securityToken)), __LINE__);
        }
        if (is_null($securityToken) || (is_array($securityToken) && empty($securityToken))) {
            unset($this->securityToken);
        } else {
            $this->securityToken = $securityToken;
        }
        return $this;
    }
    /**
     * Get rowVersion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRowVersion()
    {
        return isset($this->rowVersion) ? $this->rowVersion : null;
    }
    /**
     * Set rowVersion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $rowVersion
     * @return \StructType\StornirajTijekOtpadaP
     */
    public function setRowVersion($rowVersion = null)
    {
        // validation for constraint: string
        if (!is_null($rowVersion) && !is_string($rowVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rowVersion)), __LINE__);
        }
        if (is_null($rowVersion) || (is_array($rowVersion) && empty($rowVersion))) {
            unset($this->rowVersion);
        } else {
            $this->rowVersion = $rowVersion;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StornirajTijekOtpadaP
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
